> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-mintlify-fbfa8bee.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取可用的组织列表

> 返回一个列表，其中仅包含与请求中 API key 关联的组织。



## OpenAPI

````yaml /zh/_specs/cloud-openapi.json get /v1/organizations
openapi: 3.0.1
info:
  contact:
    email: support@clickhouse.com
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-299828
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
paths:
  /v1/organizations:
    get:
      tags:
        - Organization
      summary: 获取可用的组织列表
      description: 返回一个列表，其中仅包含与请求中 API key 关联的组织。
      parameters: []
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  requestId:
                    description: 分配给每个请求的唯一 ID。UUIDv4
                    format: uuid
                    type: string
                  result:
                    items:
                      $ref: '#/components/schemas/Organization'
                    type: array
                  status:
                    description: HTTP 状态码。
                    example: 200
                    type: number
                type: object
          description: 成功响应
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: 详细错误描述。
                    type: string
                  status:
                    description: HTTP 状态码。
                    example: 400
                    type: number
                type: object
          description: 由于存在被视为客户端错误的情况，服务器无法或不愿处理该请求。
components:
  schemas:
    Organization:
      properties:
        byocConfig:
          description: organization 的 BYOC 配置
          items:
            $ref: '#/components/schemas/ByocConfig'
          type: array
        createdAt:
          description: organization 的创建时间戳。ISO-8601。
          format: date-time
          type: string
        id:
          description: 唯一的 Organization ID。
          format: uuid
          type: string
        name:
          description: organization 的名称。
          type: string
        privateEndpoints:
          description: organization 的专用终结点列表
          items:
            $ref: '#/components/schemas/OrganizationPrivateEndpoint'
          type: array
    ByocConfig:
      properties:
        accountName:
          description: 账户名称
          type: string
        cloudProvider:
          description: 该区域的云提供商
          enum:
            - gcp
            - aws
            - azure
          type: string
        id:
          description: BYOC 配置的唯一标识符
          type: string
        regionId:
          description: BYOC 已配置且可创建服务的区域
          enum:
            - ap-northeast-1
            - ap-south-1
            - ap-southeast-1
            - ap-southeast-2
            - eu-central-1
            - eu-west-1
            - eu-west-2
            - me-central-1
            - us-east-1
            - us-east-2
            - us-west-2
            - us-east1
            - us-central1
            - europe-west4
            - asia-southeast1
            - eastus
            - eastus2
            - westus3
            - germanywestcentral
          type: string
        state:
          description: 基础设施的状态
          enum:
            - infra-ready
            - infra-provisioning
            - infra-terminated
          type: string
    OrganizationPrivateEndpoint:
      properties:
        cloudProvider:
          description: 专用终结点所在的云提供商
          enum:
            - gcp
            - aws
            - azure
          type: string
        description:
          description: 专用终结点的描述
          type: string
        id:
          description: 专用终结点标识符
          type: string
        region:
          description: 专用终结点所在的区域
          enum:
            - ap-northeast-1
            - ap-south-1
            - ap-southeast-1
            - ap-southeast-2
            - eu-central-1
            - eu-west-1
            - eu-west-2
            - me-central-1
            - us-east-1
            - us-east-2
            - us-west-2
            - us-east1
            - us-central1
            - europe-west4
            - asia-southeast1
            - eastus
            - eastus2
            - westus3
            - germanywestcentral
          type: string
  securitySchemes:
    basicAuth:
      description: >-
        使用从 ClickHouse Cloud 控制台获取的 key ID 和 key
        secret：https://clickhouse.com/docs/cloud/manage/openapi
      scheme: basic
      type: http

````